@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.olwso25aue.bundle.scp.css';

/* /Controls/App-Button.razor.rz.scp.css */
button[b-1hf0y547ua] {
    border: none;
    box-shadow: 2px 2px 5px var(--shadow-color);
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    width: 100%;
}

    button:hover[b-1hf0y547ua] {
        box-shadow: 0px 3px 5px -1px var(--shadow-color);
    }

.isIcon[b-1hf0y547ua] {
    border-radius: 30px;
}

    .isIcon.regular[b-1hf0y547ua] {
        width: 40px;
        height: 40px;
    }

    .isIcon.inlineButton[b-1hf0y547ua] {
        width: 20px;
        height: 20px;
        font-size: 12px;
        padding: 0;
    }

.tooltip[b-1hf0y547ua]
{
}

.isText[b-1hf0y547ua] {
    padding: 4px 16px 4px 16px;
    border-radius: 5px;
}

.color-primary[b-1hf0y547ua] {
    background-color: var(--primary-color);
    color: var(--color-on-primary);
}

.color-warn[b-1hf0y547ua] {
    background-color: var(--warn-color);
    color: var(--color-on-warn);
}

.color-accent[b-1hf0y547ua] {
    background-color: var(--accent);
    color: var(--color-on-accent);
}
/* /Controls/App-Card.razor.rz.scp.css */
.container[b-fv7adcr77r] {
    border: 1px solid var(--light-grey);
    border-radius: 16px;
    padding: 16px;
    width: 100%;
    margin: 0px;
    box-shadow: 0 2px 1px -1px var(--shadow-color);
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    position: relative;
}

.row-card[b-fv7adcr77r] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
}
/* /Controls/App-InputSelect.razor.rz.scp.css */
[b-yq4i3w3x7k] select {
    padding: 8px;
    border-radius: 8px;
}

[b-yq4i3w3x7k] select option {
}

[b-yq4i3w3x7k] .useMaxWidth {
    width: 100%;
}
/* /Controls/TabControl.razor.rz.scp.css */
.tab-btn[b-g7crhaq0h8] {
    border: none;
    background-color: var(--accent);
    padding: 1rem 2rem 1rem 2rem;
    font-size: 14px;
    font-weight: 600;
}

.btn-primary[b-g7crhaq0h8] {
    color: var(--primary-color);
    box-shadow: inset 0 -2px var(--primary-color);
}

.btn-secondary[b-g7crhaq0h8] {
    color: var(--color-on-accent);
}

    .btn-secondary:hover[b-g7crhaq0h8] {
        box-shadow: inset 0 -1px var(--primary-color);
    }
/* /Shared/CultureToggle.razor.rz.scp.css */
:root[b-7h5jtd85pp] {
    --text-color: #284162;
    --link-hover-color: #0535d2;
}

@media (prefers-color-scheme: dark) {
    :root[b-7h5jtd85pp] {
        --text-color: #f8f9fa;
        --link-hover-color: #adb5bd;
    }
}

.language-toggle a[b-7h5jtd85pp] {
    color: var(--text-color);
    text-decoration: none;
    font-size: 16px;
}

.language-toggle a:hover[b-7h5jtd85pp],
.language-toggle a:focus[b-7h5jtd85pp] {
    color: var(--link-hover-color);
    text-decoration: underline;
}

@media (max-width: 767.98px) {
    .language-toggle .d-md-inline[b-7h5jtd85pp] {
        display: none !important;
    }
}

@media (min-width: 768px) {
    .language-toggle .d-md-none[b-7h5jtd85pp] {
        display: none !important;
    }
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-ovboyq2bpx] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main[b-ovboyq2bpx] {
    flex: 1;
}

.sidebar[b-ovboyq2bpx] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
    display: block !important;
}
.bb-sidebar-content.collapse[b-ovboyq2bpx] {
    display: block !important;
    visibility: visible !important;
}
.top-row[b-ovboyq2bpx] {
    background-color: #fdf7eb;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-ovboyq2bpx]  a, .top-row .btn-link[b-ovboyq2bpx] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-ovboyq2bpx] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .culture-selector[b-ovboyq2bpx]{
        width:300px;
        margin-left:10px;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-ovboyq2bpx] {
        display: none;
    }

    .top-row.auth[b-ovboyq2bpx] {
        justify-content: space-between;
    }

    .top-row a[b-ovboyq2bpx], .top-row .btn-link[b-ovboyq2bpx] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-ovboyq2bpx] {
        flex-direction: row;
    }

    .sidebar[b-ovboyq2bpx] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-ovboyq2bpx] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .main > div[b-ovboyq2bpx] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
